.banner {
  background-color: #007bff;
  color: #fff;
  padding: 15px 20px;
  width: 100%;
  display: flex;
  justify-content: space-between; /* To space the content and close button */
  border: 2px solid black; /* Adding border with 2px thickness and black color */
  box-sizing: border-box; /* Include border in width and height calculations */
}

.hidden {
  display: none !important;
}

.banner h1 {
  margin: 0;
}

.close-banner {
  background: transparent;
  border: none;
  color: #000000;
  cursor: pointer;
  font-size: 24px;
}
.close-banner:hover {
  color: #ff4488;
}

.admin-panel {
  display: flex;
}

.menu {
  flex: 0 0 200px;
  background-color: #f4f4f4;
  height: 97vh; /* Set height to 100% of the viewport height */
  overflow-y: hidden; /* Add scrollbars if needed */
}

.menu .tab {
  display: block;
  width: 100%; /* Set width to fill the entire menu panel */
  padding: 10px 20px;
  border: none;
  background-color: transparent;
  cursor: pointer;
  outline: none;
  text-align: left; /* Align text to the left */
}

.menu .tab:hover {
  background-color: #ddd;
}
.menu .tab.selected {
  background-color: #ccc;
}

.menu .tab_like {
  display: block;
  width: 100%; /* Set width to fill the entire menu panel */
  padding: 10px 20px;
  border: none;
  background-color: transparent;
  cursor: pointer;
  outline: none;
  text-align: left; /* Align text to the left */
}

.menu .tab_like:hover {
  background-color: #ddd;
}

.content {
  flex: 1;
  padding: 20px;
}

.tab-content {
  display: none;
}

.tab-content.active {
  display: block;
}

.rectangular-button {
  display: inline-block;
  padding: 10px 20px;
  background-color: #6EB5FF; /* Light blue color */
  border: none;
  color: white;
  text-align: center;
  text-decoration: none;
  font-size: 16px;
  cursor: pointer;
}

.rectangular-button:disabled {
  background-color: #BFC8D6; 
  color: #666666;
  cursor: not-allowed;
}

thead {
  background-color: #ffe4b5;
}

th, td {
  padding: 5px;
  text-align: left;
  border: 1px solid #ddd;
  margin-top: 5px;
  margin-bottom: 5px;
}

tbody tr:nth-child(even) td {
  background-color: lightgray;
}

tbody tr {
  border-bottom: 1px solid #ddd;
}

/* tooltips */
.tooltip {
  position: relative;
  display: inline-block;
}

.tooltip .tooltiptext {
  visibility: hidden;
  width: 140px;
  background-color: #555;
  color: #fff;
  text-align: center;
  border-radius: 6px;
  padding: 5px;
  position: absolute;
  z-index: 1;
  bottom: 150%;
  left: 50%;
  margin-left: -75px;
  opacity: 0;
  transition: opacity 0.3s;
}

.tooltip .tooltiptext::after {
  content: "";
  position: absolute;
  top: 100%;
  left: 50%;
  margin-left: -5px;
  border-width: 5px;
  border-style: solid;
  border-color: #555 transparent transparent transparent;
}

.tooltip:hover .tooltiptext {
  visibility: visible;
  opacity: 1;
}

.longinput {
  width: 95%;
  max-width: 400px;
}